package net.conacom.servletrunner.main;

/**
 * Copyright 1999,2002 by conacom GmbH, http://www.conacom.de
 * Copyright 1999-2002 Bernd Hohmann, hohmann@harddiskcafe.de
 * All rights reserved.
 * 
 * This software or implementation is free for commercial and non-commercial use.
 * No warranty is given about the functionality.
 */
import net.conacom.servletrunner.util.*;
/**
 * configuration of a LRWP connection
 *
 * 19.04.02 ho: lrwp_retries, lrwp_retrydelay
 * 19.03.02 ho: creation
 */
public class LRWP_ConnectionConfig {
	// LRWP version to use (2.0)
	String strLRWP_Version = "";
	// host to connect
	String strLRWP_Host = "";
	// port to use
	int intLRWP_Port = 0;
	// the URL praefix where we shall listen to (/demo, /index.html)
	String strServletIdentifier = "";
	// the virtual host
	String strVirtualHost = "";
	// access key (not implemented yet)
	String strAccessKey = "";
	// logcontext to use
	LogContext logContext = null;
	// how many times to retry connecting to the webserver
	int intRetries = 0;
	// how long to wait between retries
	long lngRetryWait = 0;
/**
 *
 */
public LRWP_ConnectionConfig() {
	super();
}
}