package net.conacom.servletrunner.util;

/**
 * Copyright 1999-2002 by conacom GmbH
 * Wilhelmshoeher Strasse 202, 60389 Frankfurt/Main, Germany
 * All rights reserved.
 * 
 * This software or implementation is free for commercial and non-commercial use.
 * No warranty is given about the functionality.
 */
/**
 * helper with finalizers
 *
 * 22.02.02 ho: creation
 */
public abstract class Application {
	protected boolean blnDisposed = false;
/**
 *
 */
public Application() {
	super();
}
/**
 * 
 */
public abstract void dispose();
/**
 * 
 */
public void finalize() {
	if (!blnDisposed) {
		System.out.println("Finalized: " + getClass().getName());
		try {
			dispose();
		} catch (Throwable t) {
			t.printStackTrace();
		}
	}
}
}