package net.conacom.servletrunner.util;

/**
 * Copyright 1999-2002 by conacom GmbH
 * Wilhelmshoeher Strasse 202, 60389 Frankfurt/Main, Germany
 * All rights reserved.
 * 
 * This software or implementation is free for commercial and non-commercial use.
 * No warranty is given about the functionality.
 */
/**
 * 16.06.02 ho: creation
 */
public class RunnerEvent {
	private Object objSource = null;
	private int intID = RE_NONE;
	public final static int RE_NONE = 0;
	public final static int RE_RESTART = 1;
	public final static int RE_SHUTDOWN = 2;
/**
 * RunnerEvent - Konstruktorkommentar.
 */
public RunnerEvent(Object objSource, int intID) {
	super();
	this.objSource = objSource;
	this.intID = intID;
}
/**
 * 
 */
public int getID() {
	return intID;
}
/**
 * 
 */
public Object getSource() {
	return objSource;
}
/**
 *
 */
public String toString() {
	String s1 = "Source: " + getSource();
	String s2 = "Unknown ID " + getID();
	switch (getID()) {
		case RE_NONE :
			s2 = "None";
			break;
		case RE_RESTART :
			s2 = "Restart";
			break;
		case RE_SHUTDOWN :
			s2 = "Shutdown";
			break;
	}
	return s1 + ", " + s2;
}
}